# CoffeeBean APIs ## API Docs - OAuth > OAuth [Generate OAuth Token](https://ywffqm5zzj.apidog.io/generate-oauth-token-20404603e0.md): Generates OAuth tokens for different authentication scenarios: - OAuth > OAuth [Revoke OAuth Token](https://ywffqm5zzj.apidog.io/revoke-oauth-token-20404604e0.md): Revokes an access token or a refresh token. - OAuth > User [Get Current User Information](https://ywffqm5zzj.apidog.io/get-current-user-information-20404605e0.md): Returns user information, including his profile (if required). - OAuth > User [Create a new user manually](https://ywffqm5zzj.apidog.io/create-a-new-user-manually-20404607e0.md): Creates a new user manually, given username and/or e-mail. - OAuth > User [/marketing/login/users/reset_password/email](https://ywffqm5zzj.apidog.io/marketingloginusersreset-passwordemail-20404608e0.md): Sends a reset password email for a user given its username or e-mail. The reset password email has a default template that allows to configure some properties, such as the sender email, the logo url, a message and the url the user will be redirected to inform the new password. The redirect_url is used to redirect the user to your site in order to provide reliability to the user inform his new password. You should create the redirect url page with password and confirm password fields, validate the password and confirm password according to your restrictions and call our API to reset the password given the reset password token sent to the redirect url in the query parameter called "token". - OAuth > User [Update Current User](https://ywffqm5zzj.apidog.io/update-current-user-20404606e0.md): Updates username/e-mail/password information of a user. - OAuth > User [Unlock Current User](https://ywffqm5zzj.apidog.io/unlock-current-user-20404609e0.md): Unlocks a user for login. Use this API to manually unlock a user that got locked due to many incorrect login attempts. - OAuth > User [Get Current User Data](https://ywffqm5zzj.apidog.io/get-current-user-data-20404610e0.md): Returns user custom profile information. - OAuth > User [Update Current User Data](https://ywffqm5zzj.apidog.io/update-current-user-data-20404611e0.md): Updates user custom profile information. - OAuth > Device [Add new device to Login App](https://ywffqm5zzj.apidog.io/add-new-device-to-login-app-20404612e0.md): Adds a new device to the Login App devices list. - OAuth > Device [Relate Device to Current User](https://ywffqm5zzj.apidog.io/relate-device-to-current-user-20404613e0.md): Relates a device with a Login User. - User Management APIs > User [Get all users or search for users](https://ywffqm5zzj.apidog.io/get-all-users-or-search-for-users-20404623e0.md): Returns all users or searches for users given some attributes such as mac_address, username and e-mail address. - User Management APIs > User [Find a user by identifier](https://ywffqm5zzj.apidog.io/find-a-user-by-identifier-20404624e0.md): Finds a user by username, e-mail or reset password token. - User Management APIs > User [Get user information](https://ywffqm5zzj.apidog.io/get-user-information-20404625e0.md): Returns user information, including his profile (if required). - User Management APIs > User [Update user information](https://ywffqm5zzj.apidog.io/update-user-information-20404626e0.md): Updates username/e-mail/password information of a user. - User Management APIs > User [Delete user](https://ywffqm5zzj.apidog.io/delete-user-20404627e0.md): Deletes a user. - User Management APIs > User [Get user profile](https://ywffqm5zzj.apidog.io/get-user-profile-20404628e0.md): Returns the user profile (complete or partial). The user profile is built with all social networks the user has associated to his account. - User Management APIs > User [Generate new user token](https://ywffqm5zzj.apidog.io/generate-new-user-token-20404629e0.md): Generates a new token (user_token) for the user. This token can be used in the Javascript API socialid.login.loginUserToken to automatically login an user in the Social Login. In this way, the user will be able to use Social Login Widgets without having to login again in the social networks. For security reasons, it is recommended to call this API regularly to generate a new user token. - User Management APIs > User [Force user to be updated](https://ywffqm5zzj.apidog.io/force-user-to-be-updated-20404630e0.md): Force User to be updated. - User Management APIs > User [Move user data to another user](https://ywffqm5zzj.apidog.io/move-user-data-to-another-user-20404631e0.md): Moves the data from the user "user_id" to the user "target_id" and then removes the first, keeping only the target user. Social networks access credentials and Social Login Tokens are also moved to the target user. Use this API when you know from an external source that two users are actually the same person. Both users must belong to the same Login App. - User Management APIs > Reset Password [/marketing/login/users/reset_password/token](https://ywffqm5zzj.apidog.io/marketingloginusersreset-passwordtoken-20404632e0.md): Creates a reset password token for a user given its username or e-mail. - User Management APIs > Reset Password [/marketing/login/users/reset_password](https://ywffqm5zzj.apidog.io/marketingloginusersreset-password-20404633e0.md): Resets the password for a user given a reset password token. - User Management APIs > Email Confirmation [/marketing/login/users/email_confirmation/email](https://ywffqm5zzj.apidog.io/marketingloginusersemail-confirmationemail-20404634e0.md): Sends an e-mail confirmation for a user given its username or e-mail. After the call to this API, the user will receive an e-mail with instructions to click on a link and validate his account. Each API call generates a new confirmation token, but only the last one will be valid for confirmation. Furthermore, each call will put the user in an unconfirmed state, so that he will not be able to login until his account is validated. The confirmation token lasts for 24 hours, after this period a new confirmation token must be generated by a new call to this API. The e-mail has a default template that allows you to configure some properties, such as the sender e-mail, the logo url, a message and the url the user will be redirected after the confirmation. The redirect_url has two purposes. The first one is to redirect the user to your site after the e-mail confirmation. The other is to receive a HTTP POST to inform you that this user has been confirmed. - User Management APIs > Email Confirmation [/marketing/login/users/email_confirmation/token](https://ywffqm5zzj.apidog.io/marketingloginusersemail-confirmationtoken-20404635e0.md): Creates an e-mail confirmation token for a user given its username or e-mail. - User Management APIs > User Status [/marketing/login/users/{user_id}/activate](https://ywffqm5zzj.apidog.io/marketingloginusersuser-idactivate-20404636e0.md): Activates a user for login. - User Management APIs > User Status [/marketing/login/users/{user_id}/deactivate](https://ywffqm5zzj.apidog.io/marketingloginusersuser-iddeactivate-20404637e0.md): Deactivates a user for login. - User Management APIs > User Status [/marketing/login/users/{user_id}/unlock](https://ywffqm5zzj.apidog.io/marketingloginusersuser-idunlock-20404638e0.md): Unlocks a user for login. Use this API to manually unlock a user that got locked due to many incorrect login attempts. - User Management APIs > User Credentials [Get all user credentials](https://ywffqm5zzj.apidog.io/get-all-user-credentials-20404639e0.md): Returns all User's credential. - User Management APIs > User Credentials [Add social app credential to user](https://ywffqm5zzj.apidog.io/add-social-app-credential-to-user-20404640e0.md): Add a Social App credential to a User. - User Management APIs > User Credentials [Remove social app credential from user](https://ywffqm5zzj.apidog.io/remove-social-app-credential-from-user-20404641e0.md): Removes a Social App credential from a User. - User Management APIs > User Data [Get user custom profile information](https://ywffqm5zzj.apidog.io/get-user-custom-profile-information-20404642e0.md): Returns user custom profile information. - User Management APIs > User Data [Update user custom profile information](https://ywffqm5zzj.apidog.io/update-user-custom-profile-information-20404643e0.md): Updates user custom profile information. - User Management APIs > User Mac Address [Create new mac address for user](https://ywffqm5zzj.apidog.io/create-new-mac-address-for-user-20404644e0.md): Creates a new mac address associated with a user. - User Management APIs > User Mac Address [Delete mac address from user](https://ywffqm5zzj.apidog.io/delete-mac-address-from-user-20404645e0.md): Deletes a mac address associated with a user. - User Management APIs > User Groups [Get user groups](https://ywffqm5zzj.apidog.io/get-user-groups-20404646e0.md): Searches for Groups of a User. - User Management APIs > User Roles [Get user roles](https://ywffqm5zzj.apidog.io/get-user-roles-20404647e0.md): Searches for Roles of a User. - User Management APIs > User Reviewable Access Requests [Get user reviewable access requests](https://ywffqm5zzj.apidog.io/get-user-reviewable-access-requests-20404648e0.md): Searches for Reviewable Access Requests of a User. - User Management APIs > User Authorized Login Apps [Get user authorized login apps](https://ywffqm5zzj.apidog.io/get-user-authorized-login-apps-20404649e0.md): Searches for Authorized Login Apps of a User. - User Management APIs > Facebook (Deprecated) [Post message to user Facebook timeline](https://ywffqm5zzj.apidog.io/post-message-to-user-facebook-timeline-20404650e0.md): Posts a message to the user Facebook timeline. - User Management APIs > Facebook (Deprecated) [Post Facebook notification to user](https://ywffqm5zzj.apidog.io/post-facebook-notification-to-user-20404651e0.md): Posts a Facebook notification to the user. - User Management APIs > Facebook (Deprecated) [Get Facebook user friends](https://ywffqm5zzj.apidog.io/get-facebook-user-friends-20404652e0.md): Get Facebook user friends. - User Management APIs > User MPact Client (Deprecated) [Create new MPact client for user](https://ywffqm5zzj.apidog.io/create-new-mpact-client-for-user-20404653e0.md): Creates a new MPact client associated with a user. - User Management APIs > Clustering (Deprecated) [Get user clustering features](https://ywffqm5zzj.apidog.io/get-user-clustering-features-20404654e0.md): Returns user clustering features. - Login & Apps Management APIs > Info [Validate token and return login information](https://ywffqm5zzj.apidog.io/validate-token-and-return-login-information-20404701e0.md): Validates the token given to the callback_url and returns login information. - Login & Apps Management APIs > Sign ins [Returns sign in information](https://ywffqm5zzj.apidog.io/returns-sign-in-information-20404702e0.md): Returns sign in information. Every time an user logs in Social Login, a new sign in is created for him. - Login & Apps Management APIs > Sign ins [Creates a sign in given a user identifier](https://ywffqm5zzj.apidog.io/creates-a-sign-in-given-a-user-identifier-20404703e0.md): Creates a new sign_in given an user_id. - Login & Apps Management APIs > Sign ins [Creates a sign in given a provider credential](https://ywffqm5zzj.apidog.io/creates-a-sign-in-given-a-provider-credential-20404704e0.md): Creates a new sign_in given a provider credential. - Login & Apps Management APIs > Sign ins [Creates a sign in given his password and username or e-mail](https://ywffqm5zzj.apidog.io/creates-a-sign-in-given-his-password-and-username-or-e-mail-20404705e0.md): Creates a sign in for an user given its password and username or e-mail. The user must set a password in order to login. - Login & Apps Management APIs > Connections [Closes a connection (logout)](https://ywffqm5zzj.apidog.io/closes-a-connection-logout-20404706e0.md): Invalidates an user connection. Use this API to logout an user from the Social Login. - Login & Apps Management APIs > Connections [Keeps the connection alive](https://ywffqm5zzj.apidog.io/keeps-the-connection-alive-20404707e0.md): Keeps the connection alive. - Login & Apps Management APIs > Connections [Returns connection information](https://ywffqm5zzj.apidog.io/returns-connection-information-20404708e0.md): Returns user connection information. - Login & Apps Management APIs > Login Apps [Searches for Login Apps](https://ywffqm5zzj.apidog.io/searches-for-login-apps-20404709e0.md): Searches for Login Apps. - Login & Apps Management APIs > Login Apps [Creates a Login App](https://ywffqm5zzj.apidog.io/creates-a-login-app-20404710e0.md): Creates an Application. - Login & Apps Management APIs > Login Apps [Returns a Login App](https://ywffqm5zzj.apidog.io/returns-a-login-app-20404711e0.md): Returns an Application. - Login & Apps Management APIs > Login Apps [Updates a Login App](https://ywffqm5zzj.apidog.io/updates-a-login-app-20404712e0.md): Updates an Application. - Login & Apps Management APIs > Login Apps [Deletes a Login App](https://ywffqm5zzj.apidog.io/deletes-a-login-app-20404713e0.md): Deletes an Application. - Login & Apps Management APIs > Social Apps [Returns all Social Apps from the Login App](https://ywffqm5zzj.apidog.io/returns-all-social-apps-from-the-login-app-20404714e0.md): Returns all Social Apps from the Login App. - Login & Apps Management APIs > Clustering (Deprecated) [Returns login app clustering rules](https://ywffqm5zzj.apidog.io/returns-login-app-clustering-rules-20404715e0.md): Returns login app clustering rules. - Login & Apps Management APIs > Clustering (Deprecated) [Updates login app clustering rules](https://ywffqm5zzj.apidog.io/updates-login-app-clustering-rules-20404716e0.md): Updates login app clustering rules. - Automation Engine APIs > Triggers [Trigger an event for a Login App user](https://ywffqm5zzj.apidog.io/trigger-an-event-for-a-login-app-user-20404734e0.md): Trigger an event for a Login User. - Push Notification APIs > Devices [Link device to Login App user](https://ywffqm5zzj.apidog.io/link-device-to-login-app-user-20404757e0.md): Relates a device with a Login App user. - Push Notification APIs > Push Notifications [Send push notification to device](https://ywffqm5zzj.apidog.io/send-push-notification-to-device-20404758e0.md): Sends a push notification to a device. - Push Notification APIs > Push Notifications [Send push notification to all Login App devices](https://ywffqm5zzj.apidog.io/send-push-notification-to-all-login-app-devices-20404759e0.md): Sends a push notification to all devices of a Login App. - Push Notification APIs > Push Notifications [Send push notification to all user devices](https://ywffqm5zzj.apidog.io/send-push-notification-to-all-user-devices-20404760e0.md): Sends a push notification to all devices of a Login user. - Group Management APIs > Groups [Get groups](https://ywffqm5zzj.apidog.io/get-groups-20404764e0.md): Searches for Groups. - Group Management APIs > Groups [Create group](https://ywffqm5zzj.apidog.io/create-group-20404765e0.md): Creates a Group. - Group Management APIs > Groups [Get group](https://ywffqm5zzj.apidog.io/get-group-20404766e0.md): Returns a Group. - Group Management APIs > Groups [Update group](https://ywffqm5zzj.apidog.io/update-group-20404767e0.md): Updates a Group. - Group Management APIs > Groups [Delete group](https://ywffqm5zzj.apidog.io/delete-group-20404768e0.md): Deletes a Group. - Group Management APIs > Group Users [Get group users](https://ywffqm5zzj.apidog.io/get-group-users-20404769e0.md): Searches for Users in a Group. - Group Management APIs > Group Users [Add user to group](https://ywffqm5zzj.apidog.io/add-user-to-group-20404770e0.md): Adds a User to a Group. - Group Management APIs > Group Users [Remove user from group](https://ywffqm5zzj.apidog.io/remove-user-from-group-20404771e0.md): Removes a User from a Group. - Group Management APIs > Group Roles [Get group roles](https://ywffqm5zzj.apidog.io/get-group-roles-20404772e0.md): Searches for Roles in a Group. - Group Management APIs > Group Roles [Add role to group](https://ywffqm5zzj.apidog.io/add-role-to-group-20404773e0.md): Adds a Role to a Group. - Group Management APIs > Group Roles [Remove role from group](https://ywffqm5zzj.apidog.io/remove-role-from-group-20404774e0.md): Removes a Role from a Group. - Group Management APIs > Group Parents [Get group parents](https://ywffqm5zzj.apidog.io/get-group-parents-20404775e0.md): Searches for Group Parents of a Group. - Group Management APIs > Group Parents [Add parent group to group](https://ywffqm5zzj.apidog.io/add-parent-group-to-group-20404776e0.md): Adds a Group Parent to a Group. - Group Management APIs > Group Parents [Remove parent group from group](https://ywffqm5zzj.apidog.io/remove-parent-group-from-group-20404777e0.md): Removes a Group Parent from a Group. - Group Management APIs > Group Children [Get group children](https://ywffqm5zzj.apidog.io/get-group-children-20404778e0.md): Searches for Group Children of a Group. - Group Management APIs > Group Managers [Get group managers](https://ywffqm5zzj.apidog.io/get-group-managers-20404779e0.md): Searches for Group Managers of a Group. - Group Management APIs > Group Managers [Add group manager](https://ywffqm5zzj.apidog.io/add-group-manager-20404780e0.md): Adds a Group Manager to a Group. - Group Management APIs > Group Managers [Remove group manager](https://ywffqm5zzj.apidog.io/remove-group-manager-20404781e0.md): Removes a Group Manager from a Group. - Group Management APIs > Group Managees [Get managed groups](https://ywffqm5zzj.apidog.io/get-managed-groups-20404782e0.md): Searches for Groups managed by a Group. - Wi-Fi APIs > Venues [Get venues status monitoring](https://ywffqm5zzj.apidog.io/get-venues-status-monitoring-20404792e0.md): Venues status monitoring API. Returns sign in information for each venue. - Wi-Fi APIs > Sign Ins [Get Wi-Fi sign ins](https://ywffqm5zzj.apidog.io/get-wi-fi-sign-ins-20404793e0.md): Returns all sign ins or search for wifi sign ins. - Wi-Fi APIs > Sign Ins [Create Wi-Fi sign in](https://ywffqm5zzj.apidog.io/create-wi-fi-sign-in-20404794e0.md): Creates a wifi sign in. - Wi-Fi APIs > Coupons [Create batch of coupons](https://ywffqm5zzj.apidog.io/create-batch-of-coupons-20404795e0.md): Creates a batch of coupons for a specific coupon group. - RBAC Management APIs > Roles [Search for Roles](https://ywffqm5zzj.apidog.io/search-for-roles-20404796e0.md): Searches for Roles. - RBAC Management APIs > Roles [Create a Role](https://ywffqm5zzj.apidog.io/create-a-role-20404797e0.md): Creates a Role. - RBAC Management APIs > Roles [Get a Role](https://ywffqm5zzj.apidog.io/get-a-role-20404798e0.md): Returns a Role. - RBAC Management APIs > Roles [Update a Role](https://ywffqm5zzj.apidog.io/update-a-role-20404799e0.md): Updates a Role. - RBAC Management APIs > Roles [Delete a Role](https://ywffqm5zzj.apidog.io/delete-a-role-20404800e0.md): Deletes a Role. - RBAC Management APIs > Role Users [Search for Users with a Role](https://ywffqm5zzj.apidog.io/search-for-users-with-a-role-20404801e0.md): Searches for Users with a Role. - RBAC Management APIs > Role Users [Add a Role to a User](https://ywffqm5zzj.apidog.io/add-a-role-to-a-user-20404802e0.md): Adds a Role to a User. - RBAC Management APIs > Role Users [Remove a Role from a User](https://ywffqm5zzj.apidog.io/remove-a-role-from-a-user-20404803e0.md): Removes a Role from a User. - RBAC Management APIs > Role Groups [Search for Groups in a Role](https://ywffqm5zzj.apidog.io/search-for-groups-in-a-role-20404804e0.md): Searches for Groups in a Role. - RBAC Management APIs > Access Requests [Search for Access Requests](https://ywffqm5zzj.apidog.io/search-for-access-requests-20404805e0.md): Searches for Access Requests. - RBAC Management APIs > Access Requests [Create an Access Request](https://ywffqm5zzj.apidog.io/create-an-access-request-20404806e0.md): Creates an Access Request. - RBAC Management APIs > Access Requests [Get an Access Request](https://ywffqm5zzj.apidog.io/get-an-access-request-20404807e0.md): Returns an Access Request. - RBAC Management APIs > Access Requests [Update an Access Request](https://ywffqm5zzj.apidog.io/update-an-access-request-20404808e0.md): Updates an Access Request. - RBAC Management APIs > Access Requests [Delete an Access Request](https://ywffqm5zzj.apidog.io/delete-an-access-request-20404809e0.md): Deletes an Access Request. - RBAC Management APIs > Access Request Comments [Search for Comments in an Access Request](https://ywffqm5zzj.apidog.io/search-for-comments-in-an-access-request-20404810e0.md): Searches for Comments in an Access Request. - RBAC Management APIs > Access Request Comments [Create a Comment in an Access Request](https://ywffqm5zzj.apidog.io/create-a-comment-in-an-access-request-20404811e0.md): Creates a Comment in an Access Request. - RBAC Management APIs > Access Request Reviews [Search for Reviews in an Access Request](https://ywffqm5zzj.apidog.io/search-for-reviews-in-an-access-request-20404812e0.md): Searches for Reviews in an Access Request. - RBAC Management APIs > Access Request Reviews [Create a Review in an Access Request](https://ywffqm5zzj.apidog.io/create-a-review-in-an-access-request-20404813e0.md): Creates a Review in an Access Request. - RBAC Management APIs > Access Request Events [Search for Events in an Access Request](https://ywffqm5zzj.apidog.io/search-for-events-in-an-access-request-20404814e0.md): Searches for Events in an Access Request. - RBAC Management APIs > Access Request Reviewers [Search for Reviewers in an Access Request](https://ywffqm5zzj.apidog.io/search-for-reviewers-in-an-access-request-20404815e0.md): Searches for Reviewers in an Access Request. - RBAC Management APIs > Access Request Reviewers [Create a Reviewer for an Access Request](https://ywffqm5zzj.apidog.io/create-a-reviewer-for-an-access-request-20404816e0.md): Creates a Reviewer for an Access Request. - RBAC Management APIs > Access Request Reviewers [Remove a Reviewer from an Access Request](https://ywffqm5zzj.apidog.io/remove-a-reviewer-from-an-access-request-20404817e0.md): Removes a Reviewer from an Access Request. - Datastore APIs > Schema [Get all schemas](https://ywffqm5zzj.apidog.io/get-all-schemas-20404819e0.md): Returns all Schemas from the Account. - Datastore APIs > Schema [Create a new schema](https://ywffqm5zzj.apidog.io/create-a-new-schema-20404820e0.md): Creates a new Schema. - Datastore APIs > Schema [Get a specific schema](https://ywffqm5zzj.apidog.io/get-a-specific-schema-20404821e0.md): Returns a specific Schema. - Datastore APIs > Schema [Update a schema](https://ywffqm5zzj.apidog.io/update-a-schema-20404822e0.md): Updates a Schema. - Datastore APIs > Schema [Remove a schema](https://ywffqm5zzj.apidog.io/remove-a-schema-20404823e0.md): Removes a Schema. - Datastore APIs > Object [Get all objects from a schema](https://ywffqm5zzj.apidog.io/get-all-objects-from-a-schema-20404824e0.md): Returns all Objects from a Schema. - Datastore APIs > Object [Create a new object](https://ywffqm5zzj.apidog.io/create-a-new-object-20404825e0.md): Creates a new Object for a Schema. - Datastore APIs > Object [Search for objects in a schema](https://ywffqm5zzj.apidog.io/search-for-objects-in-a-schema-20404826e0.md): Searches for Objects in the Schema. - Datastore APIs > Object [Get a specific object](https://ywffqm5zzj.apidog.io/get-a-specific-object-20404827e0.md): Returns a specific Object. - Datastore APIs > Object [Update an object](https://ywffqm5zzj.apidog.io/update-an-object-20404828e0.md): Updates an Object. - Datastore APIs > Object [Remove an object](https://ywffqm5zzj.apidog.io/remove-an-object-20404829e0.md): Removes an Object. - Datastore APIs > Object [Remove all objects from a user](https://ywffqm5zzj.apidog.io/remove-all-objects-from-a-user-20404830e0.md): Removes all objects from a user for the given schema name. - Multi-Factor Authentication (MFA) APIs > User [List/find users from a tenant](https://ywffqm5zzj.apidog.io/listfind-users-from-a-tenant-20404836e0.md): List/find users from a tenant. - Multi-Factor Authentication (MFA) APIs > User [Creates a user](https://ywffqm5zzj.apidog.io/creates-a-user-20404837e0.md): Creates a user. - Multi-Factor Authentication (MFA) APIs > User [Deletes a user](https://ywffqm5zzj.apidog.io/deletes-a-user-20404838e0.md): Deletes a user. - Multi-Factor Authentication (MFA) APIs > Session [Authorization Request](https://ywffqm5zzj.apidog.io/authorization-request-20404839e0.md): OAuth 2.0 Authorization Request endpoint for OpenID Connect. - Multi-Factor Authentication (MFA) APIs > Session [Token Request](https://ywffqm5zzj.apidog.io/token-request-20404840e0.md): OAuth 2.0 Token Request endpoint. Used to obtain access tokens, ID tokens, and refresh tokens in the Authorization Code Flow. - Multi-Factor Authentication (MFA) APIs > Session [Finish the authorize flow](https://ywffqm5zzj.apidog.io/finish-the-authorize-flow-20404841e0.md): Finish the authorize flow and redirect to the redirect_uri endpoint including the requested response_type. If no valid redirect_uri is available, an error in JSON format will be provided. - Multi-Factor Authentication (MFA) APIs > Validation [Check user validations](https://ywffqm5zzj.apidog.io/check-user-validations-20404842e0.md): Checks if the user performed validations using the MFA token. The response includes the field "success_count" with the count of succeeded validations. It's possible to inspect all attempts using the "results" field. The response also includes information regarding the user who the MFA token belongs to. - Multi-Factor Authentication (MFA) APIs > Factor [List all factors](https://ywffqm5zzj.apidog.io/list-all-factors-20404843e0.md): List all factors enabled for the given MFA token. - Multi-Factor Authentication (MFA) APIs > Authenticator [Associate authenticator to user](https://ywffqm5zzj.apidog.io/associate-authenticator-to-user-20404844e0.md): Associates the authenticator to the user. It generates a challenge and sends it to the channel if supported by the authenticator type. - Multi-Factor Authentication (MFA) APIs > Authenticator [Generate authenticator challenge](https://ywffqm5zzj.apidog.io/generate-authenticator-challenge-20404845e0.md): It generates a challenge and sends it to the channel if supported by the authenticator type. This API is useful to regenerate challenges that were not received by end users at the registration step (POST /authenticators). Challenges expire in 5 minutes. - Multi-Factor Authentication (MFA) APIs > Authenticator [Validate user authenticator](https://ywffqm5zzj.apidog.io/validate-user-authenticator-20404846e0.md): Validates the user authenticator and updates the "verified" flag to true if successful. - Multi-Factor Authentication (MFA) APIs > Authenticator [List user authenticators](https://ywffqm5zzj.apidog.io/list-user-authenticators-20404847e0.md): Lists all enabled user's factors. - Multi-Factor Authentication (MFA) APIs > Authenticator [Delete authenticator](https://ywffqm5zzj.apidog.io/delete-authenticator-20404848e0.md): Deletes the authenticator from the user. - Multi-Factor Authentication (MFA) APIs > Login [Generate login challenge](https://ywffqm5zzj.apidog.io/generate-login-challenge-20404849e0.md): Generates the challenge and sends it to the supported authenticator channel. Challenges expire in 5 minutes. - Multi-Factor Authentication (MFA) APIs > Login [Validate login authenticator](https://ywffqm5zzj.apidog.io/validate-login-authenticator-20404850e0.md): Validates the authenticator parameters. Updates the MFA token status to "validated" if the validation is successful. - OpenID Connect (OIDC) > UserInfo [UserInfo Request (GET)](https://ywffqm5zzj.apidog.io/userinfo-request-get-20404852e0.md): OAuth 2.0 UserInfo endpoint. Returns claims about the authenticated End-User. - OpenID Connect (OIDC) > UserInfo [UserInfo Request (POST)](https://ywffqm5zzj.apidog.io/userinfo-request-post-20404853e0.md): OAuth 2.0 UserInfo endpoint (POST method). Returns claims about the authenticated End-User. - OpenID Connect (OIDC) > Session [Logout Request (GET)](https://ywffqm5zzj.apidog.io/logout-request-get-20404854e0.md): RP-Initiated Logout endpoint following OpenID Connect Session Management specification. - OpenID Connect (OIDC) > Session [Logout Request (POST)](https://ywffqm5zzj.apidog.io/logout-request-post-20404855e0.md): RP-Initiated Logout endpoint (POST method) following OpenID Connect Session Management specification. - OpenID Connect (OIDC) > Token [Token Revocation](https://ywffqm5zzj.apidog.io/token-revocation-20404856e0.md): OAuth 2.0 Token Revocation endpoint following RFC 7009. ## Schemas - OAuth Schemas [TokenPasswordRequest](https://ywffqm5zzj.apidog.io/tokenpasswordrequest-8817458d0.md): - OAuth Schemas [TokenProviderCredentialsRequest](https://ywffqm5zzj.apidog.io/tokenprovidercredentialsrequest-8817459d0.md): - OAuth Schemas [TokenProviderAuthorizationCodeRequest](https://ywffqm5zzj.apidog.io/tokenproviderauthorizationcoderequest-8817460d0.md): - OAuth Schemas [TokenLdapCredentialsRequest](https://ywffqm5zzj.apidog.io/tokenldapcredentialsrequest-8817461d0.md): - OAuth Schemas [TokenUserIdRequest](https://ywffqm5zzj.apidog.io/tokenuseridrequest-8817462d0.md): - OAuth Schemas [TokenClientCredentialsRequest](https://ywffqm5zzj.apidog.io/tokenclientcredentialsrequest-8817463d0.md): - OAuth Schemas [TokenRefreshTokenRequest](https://ywffqm5zzj.apidog.io/tokenrefreshtokenrequest-8817464d0.md): - OAuth Schemas [TokenRevokeRequest](https://ywffqm5zzj.apidog.io/tokenrevokerequest-8817465d0.md): - OAuth Schemas [DeviceResponse](https://ywffqm5zzj.apidog.io/deviceresponse-8817472d0.md): - OAuth Schemas [UserDeviceRelation](https://ywffqm5zzj.apidog.io/userdevicerelation-8817473d0.md): - OAuth Schemas [UserResponse](https://ywffqm5zzj.apidog.io/userresponse-8817474d0.md): - OAuth Schemas [TokenAppResponse](https://ywffqm5zzj.apidog.io/tokenappresponse-8817476d0.md): - User Management APIs Schemas [UserWithProfile](https://ywffqm5zzj.apidog.io/userwithprofile-8817501d0.md): - User Management APIs Schemas [UserProfile](https://ywffqm5zzj.apidog.io/userprofile-8817502d0.md): - User Management APIs Schemas [ResetPasswordTokenRequest](https://ywffqm5zzj.apidog.io/resetpasswordtokenrequest-8817503d0.md): - User Management APIs Schemas [UserUpdate](https://ywffqm5zzj.apidog.io/userupdate-8817467d0.md): - User Management APIs Schemas [ResetPasswordTokenResponse](https://ywffqm5zzj.apidog.io/resetpasswordtokenresponse-8817504d0.md): - User Management APIs Schemas [ResetPasswordEmailRequest](https://ywffqm5zzj.apidog.io/resetpasswordemailrequest-8817468d0.md): - User Management APIs Schemas [ResetPasswordRequest](https://ywffqm5zzj.apidog.io/resetpasswordrequest-8817505d0.md): - User Management APIs Schemas [UserDataResponse](https://ywffqm5zzj.apidog.io/userdataresponse-8817469d0.md): - User Management APIs Schemas [EmailConfirmationRequest](https://ywffqm5zzj.apidog.io/emailconfirmationrequest-8817506d0.md): - User Management APIs Schemas [UserDataUpdate](https://ywffqm5zzj.apidog.io/userdataupdate-8817470d0.md): - User Management APIs Schemas [EmailConfirmationTokenRequest](https://ywffqm5zzj.apidog.io/emailconfirmationtokenrequest-8817507d0.md): - User Management APIs Schemas [EmailConfirmationTokenResponse](https://ywffqm5zzj.apidog.io/emailconfirmationtokenresponse-8817508d0.md): - User Management APIs Schemas [UserCredentialsResponse](https://ywffqm5zzj.apidog.io/usercredentialsresponse-8817509d0.md): - User Management APIs Schemas [UserCredential](https://ywffqm5zzj.apidog.io/usercredential-8817510d0.md): - User Management APIs Schemas [UserCredentialCreate](https://ywffqm5zzj.apidog.io/usercredentialcreate-8817511d0.md): - User Management APIs Schemas [MacAddressCreate](https://ywffqm5zzj.apidog.io/macaddresscreate-8817512d0.md): - User Management APIs Schemas [MacAddress](https://ywffqm5zzj.apidog.io/macaddress-8817513d0.md): - User Management APIs Schemas [UserGroupsResponse](https://ywffqm5zzj.apidog.io/usergroupsresponse-8817514d0.md): - User Management APIs Schemas [UserGroup](https://ywffqm5zzj.apidog.io/usergroup-8817515d0.md): - User Management APIs Schemas [UserRolesResponse](https://ywffqm5zzj.apidog.io/userrolesresponse-8817516d0.md): - User Management APIs Schemas [UserRole](https://ywffqm5zzj.apidog.io/userrole-8817517d0.md): - User Management APIs Schemas [UserReviewableAccessRequestsResponse](https://ywffqm5zzj.apidog.io/userreviewableaccessrequestsresponse-8817518d0.md): - User Management APIs Schemas [ReviewableAccessRequest](https://ywffqm5zzj.apidog.io/reviewableaccessrequest-8817519d0.md): - User Management APIs Schemas [UserAuthorizedAppsResponse](https://ywffqm5zzj.apidog.io/userauthorizedappsresponse-8817520d0.md): - User Management APIs Schemas [AuthorizedApp](https://ywffqm5zzj.apidog.io/authorizedapp-8817521d0.md): - User Management APIs Schemas [FacebookUpdateRequest](https://ywffqm5zzj.apidog.io/facebookupdaterequest-8817522d0.md): - User Management APIs Schemas [FacebookUpdateResponse](https://ywffqm5zzj.apidog.io/facebookupdateresponse-8817523d0.md): - User Management APIs Schemas [FacebookNotificationRequest](https://ywffqm5zzj.apidog.io/facebooknotificationrequest-8817524d0.md): - User Management APIs Schemas [FacebookNotificationResponse](https://ywffqm5zzj.apidog.io/facebooknotificationresponse-8817525d0.md): - User Management APIs Schemas [FacebookFriendsResponse](https://ywffqm5zzj.apidog.io/facebookfriendsresponse-8817526d0.md): - User Management APIs Schemas [FacebookFriend](https://ywffqm5zzj.apidog.io/facebookfriend-8817527d0.md): - User Management APIs Schemas [MpactClientCreate](https://ywffqm5zzj.apidog.io/mpactclientcreate-8817528d0.md): - User Management APIs Schemas [MpactClient](https://ywffqm5zzj.apidog.io/mpactclient-8817529d0.md): - User Management APIs Schemas [ClusteringFeaturesResponse](https://ywffqm5zzj.apidog.io/clusteringfeaturesresponse-8817530d0.md): - Login & Apps Management APIs Schemas [LoginInfoResponse](https://ywffqm5zzj.apidog.io/logininforesponse-8817547d0.md): - Login & Apps Management APIs Schemas [SignInResponse](https://ywffqm5zzj.apidog.io/signinresponse-8817548d0.md): - Login & Apps Management APIs Schemas [SignInCreate](https://ywffqm5zzj.apidog.io/signincreate-8817549d0.md): - Login & Apps Management APIs Schemas [OAuth1ProviderCredentials](https://ywffqm5zzj.apidog.io/oauth1providercredentials-8817550d0.md): - Login & Apps Management APIs Schemas [OAuth2ProviderCredentials](https://ywffqm5zzj.apidog.io/oauth2providercredentials-8817551d0.md): - Login & Apps Management APIs Schemas [OIDCProviderCredentials](https://ywffqm5zzj.apidog.io/oidcprovidercredentials-8817552d0.md): - Login & Apps Management APIs Schemas [UserLogin](https://ywffqm5zzj.apidog.io/userlogin-8817553d0.md): - Login & Apps Management APIs Schemas [ConnectionInfoResponse](https://ywffqm5zzj.apidog.io/connectioninforesponse-8817554d0.md): - Login & Apps Management APIs Schemas [LoginApp](https://ywffqm5zzj.apidog.io/loginapp-8817555d0.md): - Login & Apps Management APIs Schemas [LoginAppsResponse](https://ywffqm5zzj.apidog.io/loginappsresponse-8817556d0.md): - Login & Apps Management APIs Schemas [LoginAppCreate](https://ywffqm5zzj.apidog.io/loginappcreate-8817557d0.md): - Login & Apps Management APIs Schemas [LoginAppUpdate](https://ywffqm5zzj.apidog.io/loginappupdate-8817558d0.md): - Login & Apps Management APIs Schemas [SocialApp](https://ywffqm5zzj.apidog.io/socialapp-8817559d0.md): - Login & Apps Management APIs Schemas [ClusteringRules](https://ywffqm5zzj.apidog.io/clusteringrules-8817560d0.md): - Automation Engine APIs Schemas [TriggerEventRequest](https://ywffqm5zzj.apidog.io/triggereventrequest-8817610d0.md): - Push Notification APIs Schemas [DeviceCreateRequest](https://ywffqm5zzj.apidog.io/devicecreaterequest-8817618d0.md): - Push Notification APIs Schemas [DeviceCreateResponse](https://ywffqm5zzj.apidog.io/devicecreateresponse-8817619d0.md): - Push Notification APIs Schemas [DevicePublishRequest](https://ywffqm5zzj.apidog.io/devicepublishrequest-8817620d0.md): - Push Notification APIs Schemas [AppPublishRequest](https://ywffqm5zzj.apidog.io/apppublishrequest-8817621d0.md): - Push Notification APIs Schemas [UserPublishRequest](https://ywffqm5zzj.apidog.io/userpublishrequest-8817622d0.md): - Push Notification APIs Schemas [Device](https://ywffqm5zzj.apidog.io/device-8817623d0.md): - Push Notification APIs Schemas [DeviceCreate](https://ywffqm5zzj.apidog.io/devicecreate-8817471d0.md): - Group Management APIs Schemas [GroupCreate](https://ywffqm5zzj.apidog.io/groupcreate-8817630d0.md): - Group Management APIs Schemas [GroupUpdate](https://ywffqm5zzj.apidog.io/groupupdate-8817631d0.md): - Group Management APIs Schemas [GroupUserCreate](https://ywffqm5zzj.apidog.io/groupusercreate-8817632d0.md): - Group Management APIs Schemas [GroupRolesResponse](https://ywffqm5zzj.apidog.io/grouprolesresponse-8817633d0.md): - Group Management APIs Schemas [GroupRoleCreate](https://ywffqm5zzj.apidog.io/grouprolecreate-8817634d0.md): - Group Management APIs Schemas [GroupRole](https://ywffqm5zzj.apidog.io/grouprole-8817635d0.md): - Group Management APIs Schemas [GroupParentGroupsResponse](https://ywffqm5zzj.apidog.io/groupparentgroupsresponse-8817637d0.md): - Group Management APIs Schemas [GroupParentGroupCreate](https://ywffqm5zzj.apidog.io/groupparentgroupcreate-8817638d0.md): - Group Management APIs Schemas [GroupParentGroup](https://ywffqm5zzj.apidog.io/groupparentgroup-8817639d0.md): - Group Management APIs Schemas [GroupUsersResponse](https://ywffqm5zzj.apidog.io/groupusersresponse-8817640d0.md): - Group Management APIs Schemas [GroupUser](https://ywffqm5zzj.apidog.io/groupuser-8817641d0.md): - Group Management APIs Schemas [GroupsResponse](https://ywffqm5zzj.apidog.io/groupsresponse-8817643d0.md): - Group Management APIs Schemas [GroupChildGroupsResponse](https://ywffqm5zzj.apidog.io/groupchildgroupsresponse-8817645d0.md): - Group Management APIs Schemas [GroupChildGroup](https://ywffqm5zzj.apidog.io/groupchildgroup-8817646d0.md): - Group Management APIs Schemas [GroupManagerGroupsResponse](https://ywffqm5zzj.apidog.io/groupmanagergroupsresponse-8817647d0.md): - Group Management APIs Schemas [GroupManagerGroup](https://ywffqm5zzj.apidog.io/groupmanagergroup-8817648d0.md): - Group Management APIs Schemas [GroupManagerGroupCreate](https://ywffqm5zzj.apidog.io/groupmanagergroupcreate-8817649d0.md): - Group Management APIs Schemas [GroupManagedGroupsResponse](https://ywffqm5zzj.apidog.io/groupmanagedgroupsresponse-8817650d0.md): - Group Management APIs Schemas [GroupManagedGroup](https://ywffqm5zzj.apidog.io/groupmanagedgroup-8817651d0.md): - RBAC Management APIs Schemas [RolesResponse](https://ywffqm5zzj.apidog.io/rolesresponse-8817652d0.md): - RBAC Management APIs Schemas [AccessRequestsResponse](https://ywffqm5zzj.apidog.io/accessrequestsresponse-8817653d0.md): - RBAC Management APIs Schemas [AccessRequest](https://ywffqm5zzj.apidog.io/accessrequest-8817654d0.md): - RBAC Management APIs Schemas [AccessRequestCreate](https://ywffqm5zzj.apidog.io/accessrequestcreate-8817655d0.md): - RBAC Management APIs Schemas [AccessRequestUpdate](https://ywffqm5zzj.apidog.io/accessrequestupdate-8817656d0.md): - RBAC Management APIs Schemas [Role](https://ywffqm5zzj.apidog.io/role-8817636d0.md): - RBAC Management APIs Schemas [AccessRequestCommentsResponse](https://ywffqm5zzj.apidog.io/accessrequestcommentsresponse-8817657d0.md): - RBAC Management APIs Schemas [AccessRequestComment](https://ywffqm5zzj.apidog.io/accessrequestcomment-8817658d0.md): - RBAC Management APIs Schemas [AccessRequestCommentCreate](https://ywffqm5zzj.apidog.io/accessrequestcommentcreate-8817659d0.md): - RBAC Management APIs Schemas [RoleCreate](https://ywffqm5zzj.apidog.io/rolecreate-8817660d0.md): - RBAC Management APIs Schemas [RoleUpdate](https://ywffqm5zzj.apidog.io/roleupdate-8817661d0.md): - RBAC Management APIs Schemas [LoginUser](https://ywffqm5zzj.apidog.io/loginuser-8817642d0.md): - RBAC Management APIs Schemas [RoleUsersResponse](https://ywffqm5zzj.apidog.io/roleusersresponse-8817662d0.md): - RBAC Management APIs Schemas [RoleUser](https://ywffqm5zzj.apidog.io/roleuser-8817663d0.md): - RBAC Management APIs Schemas [Group](https://ywffqm5zzj.apidog.io/group-8817644d0.md): - RBAC Management APIs Schemas [RoleUserCreate](https://ywffqm5zzj.apidog.io/roleusercreate-8817664d0.md): - RBAC Management APIs Schemas [RoleGroupsResponse](https://ywffqm5zzj.apidog.io/rolegroupsresponse-8817665d0.md): - RBAC Management APIs Schemas [RoleGroup](https://ywffqm5zzj.apidog.io/rolegroup-8817666d0.md): - RBAC Management APIs Schemas [AccessRequestReviewsResponse](https://ywffqm5zzj.apidog.io/accessrequestreviewsresponse-8817667d0.md): - RBAC Management APIs Schemas [AccessRequestReview](https://ywffqm5zzj.apidog.io/accessrequestreview-8817668d0.md): - RBAC Management APIs Schemas [AccessRequestReviewCreate](https://ywffqm5zzj.apidog.io/accessrequestreviewcreate-8817669d0.md): - RBAC Management APIs Schemas [AccessRequestEventsResponse](https://ywffqm5zzj.apidog.io/accessrequesteventsresponse-8817670d0.md): - RBAC Management APIs Schemas [AccessRequestEvent](https://ywffqm5zzj.apidog.io/accessrequestevent-8817671d0.md): - RBAC Management APIs Schemas [AccessRequestReviewersResponse](https://ywffqm5zzj.apidog.io/accessrequestreviewersresponse-8817672d0.md): - RBAC Management APIs Schemas [AccessRequestReviewer](https://ywffqm5zzj.apidog.io/accessrequestreviewer-8817673d0.md): - RBAC Management APIs Schemas [AccessRequestReviewerCreate](https://ywffqm5zzj.apidog.io/accessrequestreviewercreate-8817674d0.md): - Datastore APIs Schemas [SchemasResponse](https://ywffqm5zzj.apidog.io/schemasresponse-8817675d0.md): - Datastore APIs Schemas [Schema](https://ywffqm5zzj.apidog.io/schema-8817676d0.md): - Datastore APIs Schemas [SchemaField](https://ywffqm5zzj.apidog.io/schemafield-8817677d0.md): - Datastore APIs Schemas [CreateSchemaRequest](https://ywffqm5zzj.apidog.io/createschemarequest-8817678d0.md): - Datastore APIs Schemas [CreateSchemaField](https://ywffqm5zzj.apidog.io/createschemafield-8817679d0.md): - Datastore APIs Schemas [SchemaPermissions](https://ywffqm5zzj.apidog.io/schemapermissions-8817680d0.md): - Datastore APIs Schemas [UpdateSchemaRequest](https://ywffqm5zzj.apidog.io/updateschemarequest-8817681d0.md): - Datastore APIs Schemas [ObjectsResponse](https://ywffqm5zzj.apidog.io/objectsresponse-8817682d0.md): - Datastore APIs Schemas [DatastoreObject](https://ywffqm5zzj.apidog.io/datastoreobject-8817683d0.md): - Datastore APIs Schemas [CreateObjectRequest](https://ywffqm5zzj.apidog.io/createobjectrequest-8817684d0.md): - Datastore APIs Schemas [SearchObjectsRequest](https://ywffqm5zzj.apidog.io/searchobjectsrequest-8817685d0.md): - Datastore APIs Schemas [UpdateObjectRequest](https://ywffqm5zzj.apidog.io/updateobjectrequest-8817686d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [UsersResponse](https://ywffqm5zzj.apidog.io/usersresponse-8817499d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [UserCreateResponse](https://ywffqm5zzj.apidog.io/usercreateresponse-8817687d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [User](https://ywffqm5zzj.apidog.io/user-8817500d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [TokenRequestUserId](https://ywffqm5zzj.apidog.io/tokenrequestuserid-8817688d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [TokenRequestUsername](https://ywffqm5zzj.apidog.io/tokenrequestusername-8817689d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [UserCreate](https://ywffqm5zzj.apidog.io/usercreate-8817466d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [CallbackRequest](https://ywffqm5zzj.apidog.io/callbackrequest-8817690d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [ValidationResponse](https://ywffqm5zzj.apidog.io/validationresponse-8817691d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [ValidationAttempt](https://ywffqm5zzj.apidog.io/validationattempt-8817692d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [Factor](https://ywffqm5zzj.apidog.io/factor-8817693d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [AuthenticatorCreate](https://ywffqm5zzj.apidog.io/authenticatorcreate-8817694d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [AuthenticatorResponse](https://ywffqm5zzj.apidog.io/authenticatorresponse-8817695d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [ChallengeRequest](https://ywffqm5zzj.apidog.io/challengerequest-8817696d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [ChallengeResponse](https://ywffqm5zzj.apidog.io/challengeresponse-8817697d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [AuthenticatorVerify](https://ywffqm5zzj.apidog.io/authenticatorverify-8817698d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [AuthenticatorVerifyResponse](https://ywffqm5zzj.apidog.io/authenticatorverifyresponse-8817699d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [AuthenticatorDetail](https://ywffqm5zzj.apidog.io/authenticatordetail-8817700d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [LoginChallengeRequest](https://ywffqm5zzj.apidog.io/loginchallengerequest-8817701d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [LoginChallengeResponse](https://ywffqm5zzj.apidog.io/loginchallengeresponse-8817702d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [LoginValidateRequest](https://ywffqm5zzj.apidog.io/loginvalidaterequest-8817703d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [LoginValidateResponse](https://ywffqm5zzj.apidog.io/loginvalidateresponse-8817704d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [FIDO2Challenge](https://ywffqm5zzj.apidog.io/fido2challenge-8817705d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [FIDO2Options](https://ywffqm5zzj.apidog.io/fido2options-8817706d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [FIDO2RelyingParty](https://ywffqm5zzj.apidog.io/fido2relyingparty-8817707d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [FIDO2User](https://ywffqm5zzj.apidog.io/fido2user-8817708d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [FIDO2PubKeyCredParam](https://ywffqm5zzj.apidog.io/fido2pubkeycredparam-8817709d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [FIDO2Credential](https://ywffqm5zzj.apidog.io/fido2credential-8817710d0.md): - Multi-Factor Authentication (MFA) APIs Schemas [FIDO2AuthenticatorSelection](https://ywffqm5zzj.apidog.io/fido2authenticatorselection-8817711d0.md): - OpenID Connect (OIDC) Schemas [PaginatedResponse](https://ywffqm5zzj.apidog.io/paginatedresponse-8817498d0.md): - OpenID Connect (OIDC) Schemas [TokenRequest](https://ywffqm5zzj.apidog.io/tokenrequest-8817712d0.md): - OpenID Connect (OIDC) Schemas [UserInfoResponse](https://ywffqm5zzj.apidog.io/userinforesponse-8817713d0.md): - OpenID Connect (OIDC) Schemas [AddressClaim](https://ywffqm5zzj.apidog.io/addressclaim-8817714d0.md): - OpenID Connect (OIDC) Schemas [LogoutRequest](https://ywffqm5zzj.apidog.io/logoutrequest-8817715d0.md): - OpenID Connect (OIDC) Schemas [RevokeRequest](https://ywffqm5zzj.apidog.io/revokerequest-8817716d0.md): - OpenID Connect (OIDC) Schemas [TokenResponse](https://ywffqm5zzj.apidog.io/tokenresponse-8817475d0.md): - OpenID Connect (OIDC) Schemas [ErrorResponse](https://ywffqm5zzj.apidog.io/errorresponse-8817531d0.md): - OpenID Connect (OIDC) Schemas [DetailedError](https://ywffqm5zzj.apidog.io/detailederror-8817532d0.md):